<div class="ibox-form-container bg-white card mb-0">

<!--  <div class="ibox-title">-->
<!--    <div class="ibox-title-child" style="display: inline-block">-->
<!--      {{"ALERTE.EXPIRED_DOCUMENT.TITLE"|translate}}-->
<!--    </div>-->
<!--  </div>-->

  <form class="ibox-filter bg-white p-2" [formGroup]="formGroup" (ngSubmit)="onSubmit()" autocomplete="off">

    <div class="row">
      <div class="col-sm-6">
        <label class="col-form-label">{{'FIELD.COMPTE_PP.CODE'|translate}}</label>
        <input type="text" class="form-control form-control-sm" formControlName="code" disabled
               placeholder="{{'FIELD.COMPTE_PP.CODE'|translate}}">
      </div>

      <div class="col-sm-6 mt-sm-0 mt-2">
        <label class="col-form-label">{{'FIELD.COMPTE_PP.PIECE_IDENTITE'|translate}}</label>
        <input type="text" class="form-control form-control-sm" formControlName="pieceIdentite"
               pattern="[A-Za-zÀ-ÿ ]+" placeholder="{{'FIELD.COMPTE_PP.PIECE_IDENTITE'|translate}}">

        <div *ngIf="formGroup.get('pieceIdentite').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('pieceIdentite').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
          <div *ngIf="formGroup.get('pieceIdentite').errors.pattern" class="text-danger">
            <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row mt-2">
      <div class="col-sm-6">
        <label class="col-form-label">{{'FIELD.COMPTE_PP.NUM_PI'|translate}}</label>
        <input type="text" class="form-control form-control-sm" formControlName="numPI"
               pattern="[A-Za-zÀ-ÿ 0-9 ]+" placeholder="{{'FIELD.COMPTE_PP.NUM_PI'|translate}}">
        <div *ngIf="formGroup.get('numPI').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('numPI').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
          <div *ngIf="formGroup.get('numPI').errors.pattern" class="text-danger">
            <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
          </div>
        </div>
      </div>

      <div class="col-sm-6 mt-sm-0 mt-2">
        <label class="col-form-label">{{'FIELD.COMPTE_PP.EMETTEUR_PI'|translate}}</label>
        <input type="text" class="form-control form-control-sm" formControlName="emetteurPI"
               pattern="[A-Za-zÀ-ÿ ]+">

        <div *ngIf="formGroup.get('emetteurPI').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('emetteurPI').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row mt-2">
      <div class="col-sm-6">
        <label class="col-form-label">{{'FIELD.COMPTE_PP.DATE_EMI_PI'|translate}}</label>
        <input type="text" class="form-control form-control-sm" formControlName="dateEmiPI"
               [placeholder]="'FIELD.PLEASE.DATE'|translate"
               [max]="formGroup?.get('dateExpPI')?.value" [owlDateTime]="dateEmiPI">
        <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dateEmiPI"
              [title]="'FIELD.PLEASE.CHOOSE'|translate"><i class="ri-calendar-line"></i></span>
        <owl-date-time #dateEmiPI [pickerType]="'calendar'"></owl-date-time>

        <div *ngIf="formGroup.get('dateEmiPI').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('dateEmiPI').errors.pattern" class="text-danger">
            <small>{{'FIELD.ERRORS.PATTERN_DATE'|translate}}</small>
          </div>
          <div *ngIf="formGroup.get('dateEmiPI').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>

      <div class="col-sm-6 mt-sm-0 mt-2">
        <label class="col-form-label">{{'FIELD.COMPTE_PP.DATE_EXP_PI'|translate}}</label>
        <input type="text" class="form-control form-control-sm" formControlName="dateExpPI"
               [placeholder]="'FIELD.PLEASE.DATE'|translate"
               [min]="formGroup?.get('dateEmiPI')?.value" [owlDateTime]="dateExpPI">
        <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dateExpPI"
              [title]="'FIELD.PLEASE.CHOOSE'|translate"><i class="ri-calendar-line"></i></span>
        <owl-date-time #dateExpPI [pickerType]="'calendar'"></owl-date-time>

        <div *ngIf="formGroup.get('dateExpPI').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('dateExpPI').errors.pattern" class="text-danger">
            <small>{{'FIELD.ERRORS.PATTERN_DATE'|translate}}</small>
          </div>
          <div *ngIf="formGroup.get('dateExpPI').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row mt-3">
      <div class="col">
        <div class="mt-sm-0 mt-2">
          <button type="button" class="submit-button btn btn-sm mr-2 text-left" [disabled]="disableMail"
                  [title]="'FIELD.BUTTONS.SAVE'|translate" (click)="sendAlerteMail()">
            {{"ALERTE.EXPIRED_DOCUMENT.MAIL"|translate}}
            <i class="ri-mail-add-line"></i>
          </button>
        </div>
      </div>

      <div class="col">
        <div class="float-right mt-sm-0 mt-2">
          <button type="button" class="submit-button btn btn-sm btn-danger mr-2" [title]="'FIELD.BUTTONS.CLOSE'|translate"
                  (click)="emitter.emit(false)">
            <i class="ri-close-line"></i>
          </button>

          <button type="submit" class="submit-button btn btn-sm" [title]="'FIELD.BUTTONS.SAVE'|translate">
            <i class="ri-save-2-line"></i>
          </button>
        </div>
      </div>
    </div>

  </form>

</div>
